/*
	This file is part of XFuniter.

	extagui.h V2.2.2 - Allegro-GUI extentions.

    Copyright (C) 1995-2003 Stijn Wolters.
    Original idea: Ernic Kamerich (University of Nijmegen)

	See README for contact information.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version. See

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	See COPYING for more information.
*/

#ifndef _EXTAGUI
    #define _EXTAGUI

    #include <stdio.h>
    #include <ctype.h>
    #include <allegro.h>
    
    int do_alt_dialog(DIALOG *dialog, int focus_obj, int (*dfnp)(DIALOG *));
    int do_wizard(DIALOG *d, char *title, int x, int y, int w, int h, int fg, 
        int bg);
    int d_alt_box_proc(int msg, DIALOG *d, int c);
    int d_menubar_proc(int msg, DIALOG *d, int c);
    int d_alt_radio_proc(int msg, DIALOG *d, int c);
    int d_alt_edit_proc(int msg, DIALOG *d, int c);
#endif
